<?php

namespace App\Service\Utils;

class GetPartitionCodeService
{
    public function __invoke(string $partitionCode): string
    {
        return match ($partitionCode) {
            "1" => "MSDOS",
            "2" => "GPT",
            "3" => "LVM",
            "4" => "ZPOOL",
            default => "UNKNOWN",
        };
    }
}